import { baseUrl } from "../../../request";

// pages/course/homepage/homepage.js
Page({

  data: {
    // 初始时置空，待接口返回后再渲染
    courseList: []
  },

  // 跳转课程列表页
  gotoCourseList(e) {
    const courseType = e.currentTarget.dataset.type;
    wx.navigateTo({
      url: `/pages/course/courseList/courseList?type=${courseType}`,
    });
  },

  // 跳转课程详情
  gotoCourseDetail(e) {
    const courseId = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: `/pages/course/courseDetail/courseDetail?id=${courseId}`,
    });
  },

  // 跳转课程搜索页面
  gotoSearch() {
    wx.navigateTo({
      url: '/pages/course/searchCourses/searchCourses',
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // 请求后端接口
    wx.request({
      url: baseUrl + '/course/query/hot', // ← 替换为真实接口
      method: 'POST',
      header: {
        Authorization: wx.getStorageSync('token')
      },
      success: (res) => {
        if (res.data.code === 1) {
          // 将后端的 data 数组绑定到 items
          this.setData({
            courseList: res.data.data
          });
        } else {
          wx.showToast({
            title: res.data.message || '获取课程数据失败',
            icon: 'none'
          });
        }
      },
      fail: () => {
        wx.showToast({
          title: '网络异常，请稍后重试',
          icon: 'none'
        });
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})